
From: Christoph Hellwig <hch@lst.de>

->open already has a reference so use __module_get.  The file has no
maintainer noted in it, all credits are from the driver it's copied from.


---

 25-akpm/arch/um/drivers/harddog_kern.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/drivers/harddog_kern.c~remove-mod_inc_use_count-usage-in-arch-um-drivers-harddog_kernc arch/um/drivers/harddog_kern.c
--- 25/arch/um/drivers/harddog_kern.c~remove-mod_inc_use_count-usage-in-arch-um-drivers-harddog_kernc	Fri May  7 15:12:00 2004
+++ 25-akpm/arch/um/drivers/harddog_kern.c	Fri May  7 15:12:00 2004
@@ -71,7 +71,7 @@ static int harddog_open(struct inode *in
 	if(timer_alive)
 		return -EBUSY;
 #ifdef CONFIG_HARDDOG_NOWAYOUT	 
-	MOD_INC_USE_COUNT;
+	__module_get(THIS_MODULE);
 #endif
 
 #ifdef CONFIG_MCONSOLE

_
